WG13 Issues - CIM Issues #6663

The SSH profile needs to be revisited and updated for consistency.
01/04/2024 03:30 PM - Todd Viegut

Status: Open

Priority: High

Target version:

Author/Contact Info: Todd Viegut Standard(s): IEC 61970-456

Base Release: Version:

Solution to be CIM18 Clause:

Applied To:

Solution Version: CIM18 Sub-Clause:

Solution Applied By: Paragraph:

Completion Date: Table:

CIM Keywords: Originally Closed in
Version:

Breaking Change: No Origination Date:

Breaking Change Origination ID:

Description:

CIM Impacted WG13 Originally Assigned

Groups: To:

Requestor:

Description

In reviewing the existing SSH profile we observe inconsistency the approach for what devices are being "generalized". Specifically,
most devices are reified in the instanced data as cim:Equipment. For example:

<cim:Equipment rdf:about="# c5aa8f57-82a4-4242-b093-2183cc6732b5">
<cim:Equipment.inService>true</cim:Equipment.inService>
</cim:Equipment>

However, in the case of Switches we have the specific specializations defined in the profile (Jumper, Breaker, etc). This should be
changed such that these are removed and that all specialized of cim:Switch appear in the profile as:

<cim:Switch rdf:about="# c5aa8f57-82a4-4242-b093-2183cc6732b5">
<cim:Equipment.inService>true</cim:Equipment.inService>

</cim:Switch>

Proposed Solution

Review the entire profile to address all unnecessary specializations within the profile definition. As a rule, the device should be
declared at the "highest level" for which the needed SSH attributes appear in.

For example, in the case of Switches we have the specific specializations defined in the profile (Jumper, Breaker, etc). This should
be changed such that these are removed and that all specialized of cim:Switch appear in the profile as:

<cim:Switch rdf:about="#_ c5aa8f57-82a4-4242-b093-2183cc6732b5">
<cim:Equipment.inService>true</cim:Equipment.inService>

</cim:Switch>

Decision

17-Jan-2024:
In CIM18 (456-SSH) we will add in SSH all classes that inherit from Equipment and make Equipment abstract.

History

#1 - 01/17/2024 10:56 AM - Chavdar Ivanov

- Decision updated
#2 - 02/04/2024 12:14 AM - Chavdar Ivanov

- Status changed from New to Open
